Bug 856299 - Sender.send(timeout=N) should pass timeout=N to self.sync()
Sender.send(timeout=N) should pass timeout=N to self.sync()
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: python-qpid (Show other bugs)
2.2
Unspecified Unspecified
high Severity medium
: 2.3
: ---
Assigned To: Ernie
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 12:58 EDT by Justin Ross
Modified: 2015-11-15 20:14 EST (History)
6 users (show)

See Also:
Fixed In Version: python-qpid-0.18-4
Doc Type: Bug Fix
Doc Text:
Cause: Send a messaging using sender.send(<timeoutvalue>) Consequence: Occasionally takes longer than <timeoutvalue> to return from the send call Fix: Added missing timeout value to sync() call Result: Sending a message will not pause for longer than the passed timeout value.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:51:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add the timeout=timeout argument to self.sync() (352 bytes, patch)
2012-10-12 13:08 EDT, Ernie
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-4102 None None None 2012-10-17 17:54:48 EDT

  None (edit)
Description Justin Ross 2012-09-11 12:58:07 EDT
See https://issues.apache.org/jira/browse/QPID-4102
Comment 3 Ernie 2012-10-12 13:08:25 EDT
Created attachment 626132 [details]
add the timeout=timeout argument to self.sync()

Patch approved by Rafi
Comment 7 Justin Ross 2012-10-17 17:54:48 EDT
Fixed upstream on trunk at revision 1399445. -> POST.
Comment 10 Frantisek Reznicek 2012-11-06 06:50:37 EST
The issue has been resolved, sender now correctly passes timeout argument to session.sync(timeout=) call.

Tested on RHEL 5.9 beta / 6.3 i386 / x86_64 on packages:
# rpm -qa | grep qpid | sort
python-qpid-0.18-4.el5
python-qpid-qmf-0.18-5.el5
qpid-cpp-client-0.18-6.el5
qpid-cpp-client-devel-0.18-6.el5
qpid-cpp-client-devel-docs-0.18-6.el5
qpid-cpp-client-rdma-0.18-6.el5
qpid-cpp-client-ssl-0.18-6.el5
qpid-cpp-server-0.18-6.el5
qpid-cpp-server-cluster-0.18-6.el5
qpid-cpp-server-devel-0.18-6.el5
qpid-cpp-server-rdma-0.18-6.el5
qpid-cpp-server-ssl-0.18-6.el5
qpid-cpp-server-store-0.18-6.el5
qpid-cpp-server-xml-0.18-6.el5
qpid-java-client-0.18-4.el5
qpid-java-common-0.18-4.el5
qpid-java-example-0.18-4.el5
qpid-jca-0.18-4.el5
qpid-jca-xarecovery-0.18-4.el5
qpid-jca-zip-0.18-4.el5
qpid-qmf-0.18-5.el5
qpid-qmf-devel-0.18-5.el5
qpid-tests-0.18-1.el5
qpid-tools-0.18-4.el5
rh-qpid-cpp-tests-0.18-6.el5
ruby-qpid-qmf-0.18-5.el5


-> VERIFIED
Comment 12 errata-xmlrpc 2013-03-06 13:51:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0561.html

Note You need to log in before you can comment on or make changes to this bug.